/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. The spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice - we generate some client SDKs automatically:  - [Python](https://framagit.org/framasoft/peertube/clients/python) - [Go](https://framagit.org/framasoft/peertube/clients/go) - [Kotlin](https://framagit.org/framasoft/peertube/clients/kotlin)  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  ## Roles  Accounts are given permissions based on their role. There are three roles on PeerTube: Administrator, Moderator, and User. See the [roles guide](https://docs.joinpeertube.org/#/admin-managing-users?id=roles) for a detail of their permissions.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.4.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package org.peertube.client.models

import org.peertube.client.models.VideoPrivacySet
import org.peertube.client.models.VideoScheduledUpdate

import com.squareup.moshi.Json

/**
 * 
 * @param thumbnailfile Video thumbnail file
 * @param previewfile Video preview file
 * @param category Video category
 * @param licence Video licence
 * @param language Video language
 * @param privacy 
 * @param description Video description
 * @param waitTranscoding Whether or not we wait transcoding before publish the video
 * @param support A text tell the audience how to support the video creator
 * @param nsfw Whether or not this video contains sensitive content
 * @param name Video name
 * @param tags Video tags (maximum 5 tags each between 2 and 30 characters)
 * @param commentsEnabled Enable or disable comments for this video
 * @param originallyPublishedAt Date when the content was originally published
 * @param scheduleUpdate 
 */

data class InlineObject6 (
    /* Video thumbnail file */
    @Json(name = "thumbnailfile")
    val thumbnailfile: java.io.File? = null,
    /* Video preview file */
    @Json(name = "previewfile")
    val previewfile: java.io.File? = null,
    /* Video category */
    @Json(name = "category")
    val category: kotlin.Int? = null,
    /* Video licence */
    @Json(name = "licence")
    val licence: kotlin.Int? = null,
    /* Video language */
    @Json(name = "language")
    val language: kotlin.String? = null,
    @Json(name = "privacy")
    val privacy: VideoPrivacySet? = null,
    /* Video description */
    @Json(name = "description")
    val description: kotlin.String? = null,
    /* Whether or not we wait transcoding before publish the video */
    @Json(name = "waitTranscoding")
    val waitTranscoding: kotlin.String? = null,
    /* A text tell the audience how to support the video creator */
    @Json(name = "support")
    val support: kotlin.String? = null,
    /* Whether or not this video contains sensitive content */
    @Json(name = "nsfw")
    val nsfw: kotlin.Boolean? = null,
    /* Video name */
    @Json(name = "name")
    val name: kotlin.String? = null,
    /* Video tags (maximum 5 tags each between 2 and 30 characters) */
    @Json(name = "tags")
    val tags: kotlin.collections.List<kotlin.String>? = null,
    /* Enable or disable comments for this video */
    @Json(name = "commentsEnabled")
    val commentsEnabled: kotlin.Boolean? = null,
    /* Date when the content was originally published */
    @Json(name = "originallyPublishedAt")
    val originallyPublishedAt: java.time.OffsetDateTime? = null,
    @Json(name = "scheduleUpdate")
    val scheduleUpdate: VideoScheduledUpdate? = null
)

